ApiAuth settings
List OAuth providers
Return all configured OAuth providers including disabled ones. Requires admin or owner role.
Authorization
User API Key AuthorizationBearer <token>
User API key (mgw_usr_live_* or mgw_usr_test_*)
In: header
Cookie Parameters
access_token?|
Response Body
application/json
application/json
curl -X GET "https://loading/api/v1/settings/auth/providers"{
"providers": [
{
"id": "497f6eca-6276-4993-bfeb-53cbbbba6f08",
"provider_type": "string",
"display_name": "string",
"client_id": "string",
"is_enabled": true,
"display_order": 0,
"config": {},
"created_at": "2019-08-24T14:15:22Z",
"updated_at": "2019-08-24T14:15:22Z"
}
],
"total": 0
}{
"detail": [
{
"loc": [
"string"
],
"msg": "string",
"type": "string"
}
]
}Get authentication settings
Return global authentication configuration including allowed domains, admin emails, and token expiration settings. Requires admin or owner role.
Update authentication settings
Partially update global authentication configuration. Only provided fields are changed. Requires admin or owner role.
